Last.value {base} | R Documentation

## Value of Last Evaluated Expression

### Description

The value of the internal evaluation of a top-level R expression is always assigned to `.Last.value` (in `package:base`) before further processing (e.g., printing).

### Usage

    .Last.value

### Details

The value of a top-level assignment is put in `.Last.value`, unlike S.

Do not assign to `.Last.value` in the workspace, because this will always mask the object of the same name in `package:base`.

### See Also

`eval`

### Examples

    ## These will not work correctly from example(),
    ## but they will in make check or if pasted in,
    ## as example() does not run them at the top level
    gamma(1:15)          # think of some intensive calculation...
    fac14 <- .Last.value # keep them

    library("splines") # returns invisibly
    .Last.value    # shows what library(.) above returned

[Package base version 3.4.2 Index]